#include <bits/stdc++.h>

using namespace std;

#define int long long

signed main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int n;
    cin>>n;
    int arr[n]={};
    int t;
    for(int i=0;i<n;i++)
    {
        int x;
        cin>>x;
        arr[--x]++;
        if(i==n-1)
            t=x;
    }
    /*for(int i=0;i<n;i++)
    {
        cout<<arr[i]<<" ";
    }*/
    //cout<<'\n';
    int sum=0;
    //cout<<arr[t]<<" "<<t<<"\n";
    while(t!=-1)
    {
        for(int i=0;i<t-1;i++)
        {
            arr[i]=arr[i+1];
        }
        arr[t-1]=0;
        arr[t]--;
        sum+=t+1;
        /*cout<<sum<<" "<<arr[t]<<'\n';
        for(int i=0;i<n;i++)
            cout<<arr[i]<<" ";
        cout<<'\n';*/
        if(arr[t]==0)
        {
            while(arr[t]==0)
                t--;
        }
    }
    cout<<sum;
}

